Bug 841949 - Screen is Shifted
Screen is Shifted
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: xorg-x11-drv-intel (Show other bugs)
6.3
x86_64 Linux
unspecified Severity urgent
: rc
: ---
Assigned To: Adam Jackson
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-20 11:47 EDT by Himanshu Garg
Modified: 2012-11-06 15:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-10 10:17:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log file (45.32 KB, application/octet-stream)
2012-07-21 00:14 EDT, Himanshu Garg
no flags Details

  None (edit)
Description Himanshu Garg 2012-07-20 11:47:49 EDT
Description of problem:
When I boot the OS from DVD on a laptop with Intel HD 4000 Graphics, the installation screen is shifted to the right and repeats at the left.
The leftmost part of installation screen starts at some place farther from the monitor's leftmost part.

Even, after installation the screen's horizontal and vertical positions are not properly displayed.


Version-Release number of selected component (if applicable):
Red Hat Enterprise Linux Server 6.3

How reproducible:


Steps to Reproduce:
1.Boot DVD
2.Screen is Shifted
3.
  
Actual results:
Screen is shifted


Expected results:
Screen should fit the monitor's area.


Additional info:
Comment 3 Himanshu Garg 2012-07-21 00:14:51 EDT
Created attachment 599486 [details]
Xorg.0.log file
Comment 4 Himanshu Garg 2012-07-24 09:08:10 EDT
What is the progress?
Comment 5 Himanshu Garg 2012-09-20 06:44:56 EDT
Any solution till now?
Comment 6 Adam Jackson 2012-10-01 13:17:01 EDT
This sounds a lot like this commit from upstream drm:

===
commit 2a1292fd4cf1558b4a60781227d503c9111d9075
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Dec 5 19:21:18 2010 +0000

    drm/i915/lvds: Always restore panel-fitter when enabling the LVDS
    
    Linus Torvalds pointed out that our code was unbalanced when powering on
    the panel with respect to the power off sequence in that we were failing
    to restore the panel-fitter. The consequence of this would be that
    across a simple DPMS off/on for a non-native mode, without an intervening
    modeset, the panel fitter would remain disabled and the output would shift
    on the panel.
===

Do you see this issue with an upstream 3.6 kernel?  6.4's DRM will be rebasing to 3.6 + fixes.
Comment 7 Adam Jackson 2012-10-10 10:17:04 EDT
DRM rebase has been merged containing the above fix, and will be included in RHEL 6.4  If you can still reproduce this issue on an upstream 3.6 kernel (Fedora 18, for example), please reopen this issue.

Note You need to log in before you can comment on or make changes to this bug.